# 专用解析器

对于某些 Web Scraper API 的来源，我们已开发专用解析器。如果您想获取结构化数据，请添加 `parse` 参数并将其设置为 `true`。在相应的目标页面中可以找到更多详细信息。

<table><thead><tr><th width="180.33333333333331">Target</th><th width="294">来源</th><th>类型</th></tr></thead><tbody><tr><td><a href="../../targets/amazon"><strong>Amazon</strong></a></td><td><code>amazon</code>,<br><code>amazon_search</code>,<br><code>amazon_product</code>,<br><code>amazon_pricing</code>,<br><code>amazon_bestsellers</code>,<br><code>amazon_sellers</code></td><td><p>搜索</p><p>产品</p><p>报价列表</p><p>畅销榜</p><p>卖家</p></td></tr><tr><td><a href="../../targets/google"><strong>Google</strong></a></td><td><code>google</code>,<br><code>google_search</code>,<br><code>google_ai_mode</code>,<br><code>google_ads</code>,<br><code>google_lens</code>,<br><code>google_shopping_search</code>,<br><code>google_shopping_product</code></td><td><p>网页搜索</p><p>图片搜索</p><p>新闻搜索<br>AI Overviews</p><p>AI 模式<br>最大广告比率</p><p>Lens 搜索<br>Google Shopping 搜索</p><p>Google Shopping 产品</p></td></tr><tr><td><a href="../../targets/youtube"><strong>YouTube</strong></a></td><td><code>youtube_search</code>,<br><code>youtube_video_trainability</code>,<br><code>youtube_metadata</code>,<br><code>youtube_transcript</code>,<br><code>youtube_subtitles</code>,<br><code>youtube_channel</code></td><td>搜索<br>视频可训练性<br>视频元数据<br>视频转录<br>视频字幕<br>频道</td></tr><tr><td><a href="../../targets/chatgpt"><strong>ChatGPT</strong></a></td><td><code>chatgpt</code></td><td>聊天</td></tr><tr><td><a href="../../targets/perplexity"><strong>Perplexity</strong></a></td><td><code>perplexity</code></td><td>聊天</td></tr><tr><td><a href="../../targets/bing"><strong>Bing</strong></a></td><td><code>bing</code>,<br><code>bing_search</code></td><td>搜索</td></tr><tr><td><a href="../../targets/walmart"><strong>Walmart</strong></a><br></td><td><code>walmart</code>,<br><code>walmart_search</code>,<br><code>walmart_product</code></td><td><p>搜索</p><p>产品</p><p></p></td></tr><tr><td><a href="../../targets/north-american-e-commerce/bestbuy"><strong>Best Buy</strong></a></td><td><code>bestbuy_product</code></td><td>产品</td></tr><tr><td><a href="../../targets/etsy"><strong>Etsy</strong></a></td><td><code>etsy</code>,<br><code>etsy_product</code></td><td>产品</td></tr><tr><td><a href="../../targets/north-american-e-commerce/target"><strong>Target</strong></a></td><td><code>target</code>,<br><code>target_search</code>,<br><code>target_product</code></td><td><p>搜索</p><p>产品</p></td></tr></tbody></table>

{% hint style="success" %}
如果您想从其他目标获取解析数据，请使用 [**Custom Parser**](https://developers.oxylabs.io/documentation/cn/zhua-qu-jie-jue-fang-an/web-scraper-api/features/custom-parser)**.**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/documentation/cn/zhua-qu-jie-jue-fang-an/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
